# Isochrone
This is an implementation of various algorithms that can be used for
calculating isochrones in multimodal spatial networks. An isochrone in such a
network is defined as a possibly disconnected subgraph that covers all space
points in the network from where a query poiint q is reachable within a given
time span and by a given arrival time at q.

## Development:
This project is realized using the java programming language and eclipse. It
utilizes the build-tool **gradle**.
To generate the eclipse environment type `./gradlew eclipse` in the project's
root folder and import it into eclipse afterwards by using "existing project".

#### Test backend
Development and testing of this project is supported by a virtualbox
testmachine that is configured and controlled by vagrant. More information
about can be found in the stand-alone project **isochrone-vm**

## Documentation
#### User documentation:
To generate the user documentation type `./gradlew asciidoctor`. This will
create the **build/docs/asciidoctor** directory which contains an index.html
file that can be viewed in your favorite web-browser.

#### Technical documentation:
To generate the technical documentation type `./gradlew javadoc`.
This will create the **build/docs/javadoc** directory which contains an
index.html file that can be viewed in your favorite web-browser.
