package it.unibz.inf.isochrone.algorithm;

import it.unibz.inf.isochrone.config.ConfigAlgorithm;
import it.unibz.inf.isochrone.db.Database;

public enum AlgorithmFactory {
	MDIJKSTRA,
	MINE,
	MINEX,
	MINER,
	MINERX;

	// Public methods

	public AbstractAlgorithm getInstance(final Database db, final ConfigAlgorithm config, final Long maxMemorySize) throws AlgorithmException {
		final AbstractAlgorithm result;
		switch (this) {
			case MINE:
				result = new Mine(db, config);
				break;
			case MINEX:
				result = new MineX(db, config);
				break;
			case MINER:
				result = new MineR(db, config, maxMemorySize);
				break;
			case MINERX:
				result = new MineRX(db, config, maxMemorySize);
				break;
			default:
				result = new MDijkstra(db, config);
		}

		return result;
	}
}
