package it.unibz.inf.isochrone.algorithm;

import it.unibz.inf.isochrone.config.ConfigAlgorithm;
import it.unibz.inf.isochrone.db.Database;

/**
 * The MineRX isochrone algorithm that uses node expiration.
 * Loads the data in ranges that surround the currently explored node in a circular area.
 */
public class MineRX extends MineR {

	// Constructors

	public MineRX(final Database db, final ConfigAlgorithm config) throws AlgorithmException {
		this(db, config, null);
	}

	public MineRX(final Database db, final ConfigAlgorithm config, final Long maxMemorySize) throws AlgorithmException {
		super(db, config, maxMemorySize);
	}

	// Protected methods

	@Override
	protected boolean shouldNodesExpire() {
		return true;
	}
}
