package it.unibz.inf.isochrone.db;

import java.util.Locale;

/**
 * Describes a database table for the web interface.
 */
public final class DbTable {
	private final String indexName;
	private final String tableName;
	private final DbTableType type;

	// Constructors

	public DbTable(final String tableName) {
		this(tableName, null, null);
	}

	public DbTable(final String tableName, final String indexName, final DbTableType type) {
		this.tableName = tableName.trim().toLowerCase(Locale.ENGLISH);
		this.indexName = (indexName == null) ? null : indexName.trim();
		this.type = (type == null) ? null : type;
	}

	// Getter

	public String getIndexName() {
		return indexName;
	}

	public String getTableName() {
		return tableName;
	}

	public DbTableType getTableType() {
		return type;
	}

	// Public methods

	@Override
	public String toString() {
		return "DbTable [indexName=" + indexName + ", tableName=" + tableName + ", tableType=" + type.toString() + "]";
	}

}
