package it.unibz.inf.isochrone.db;


/**
 * Stores all the enums used in the project in one place.
 */
public enum DbTableType {
	COVERAGE("Coverage", "MULTIPOLYGON"),
	EDGE("Edges", "LINESTRING"),
	NODE("Nodes", "POINT");

	private final String geometryType;
	private final String description;

	// Constructor

	private DbTableType(final String description, final String geometryType) {
		this.description = description;
		this.geometryType = geometryType;
	}

	// Getters

	public String getDescription() {
		return description;
	}

	public String getGeometryType() {
		return geometryType;
	}

	// Public methods

	@Override
	public String toString() {
		return description;
	}
}
