package it.unibz.inf.isochrone.network;

/**
 * Stores all the output links from the isochrone algorithm.
 */
public interface IOutput {

	/**
	 * Stores a link which belongs to the network.
	 *
	 * @param link The link that should be stored
	 * @return flag indicating if the output changed
	 */
	boolean addLink(Link link);

	/**
	 * Stores a node which belongs to the network.
	 *
	 * @param node The node that should be stored
	 * @return flag indicating if the output changed
	 */
	boolean addNode(Node node);

}
