package it.unibz.inf.isochrone.network;

import com.vividsolutions.jts.geom.Geometry;

import java.io.Serializable;

public abstract class NetworkEntity implements Comparable<NetworkEntity>, Serializable {
	private static final long serialVersionUID = 5077442943224315713L;
	private final int id;

	public NetworkEntity(final int id) {
		this.id = id;
	}

	// Getter

	public abstract Geometry getGeometry();

	public int getId() {
		return id;
	}

	// Public method

	@Override
	public int compareTo(final NetworkEntity other) {
		if (this == other) {
			return 0;
		}
		if (other == null) {
			return -1;
		}
		if (getClass() != other.getClass()) {
			return -1;
		}

		return id - other.id;
	}

	@Override
	public boolean equals(final Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}

		final NetworkEntity other = (NetworkEntity) obj;
		if (id != other.id) {
			return false;
		}

		return true;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		return prime + id;
	}

	@Override
	public String toString() {
		return "NetworkEntity [id=" + id + "]";
	}

}
