package it.unibz.inf.isochrone.util;

import java.awt.geom.Point2D;

import org.kohsuke.args4j.CmdLineException;
import org.kohsuke.args4j.CmdLineParser;
import org.kohsuke.args4j.OptionDef;
import org.kohsuke.args4j.spi.OneArgumentOptionHandler;
import org.kohsuke.args4j.spi.Setter;

public class QueryPointOptionHandler extends OneArgumentOptionHandler<Point2D> {
	public QueryPointOptionHandler(final CmdLineParser parser, final OptionDef option, final Setter<? super Point2D> setter) {
		super(parser, option, setter);
	}

	@Override
	protected Point2D parse(final String argument) throws NumberFormatException, CmdLineException {
		final int index = argument.indexOf(',');
		if (index <= 0) {
			throw new NumberFormatException("Invalid queryPoint given.");
		}

		final double lng = Double.parseDouble(argument.substring(0, index));
		final double lat = Double.parseDouble(argument.substring(index + 1));

		return new Point2D.Double(lng, lat);
	}
}
