package it.unibz.inf.isochrone;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


public final class MathHelper {

	// Constructor

	private MathHelper() { }

	// Public static methods

	public static double average(final Collection<Double> runtimeList) {
		final int runtimeListSize = (runtimeList == null) ? 0 : runtimeList.size();
		if (runtimeListSize <= 0) {
			return 0.0d;
		}

		final double sum = runtimeList.stream().reduce(0d, (a, b) -> a + b);
		return sum / runtimeListSize;
	}

	public static double first(final Collection<Double> runtimeList) {
		final int runtimeListSize = (runtimeList == null) ? 0 : runtimeList.size();
		if (runtimeListSize <= 0) {
			return 0.0d;
		}

		return runtimeList.iterator().next();
	}

	public static double median(final List<Double> runtimeList) {
		final int runtimeListSize = (runtimeList == null) ? 0 : runtimeList.size();
		if (runtimeListSize <= 0) {
			return 0.0d;
		}

		final List<Double> sortedList = new ArrayList<>(runtimeList);
		return sortedList.get(runtimeListSize / 2);
	}

}
