package it.unibz.inf.isochrone.config;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.testng.Assert;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

/**
 * @author <a href="mailto:nikolaus.krismer@uibk.ac.at">Nikolaus Krismer</a>
 * @version 3
 */
public class ConfigIsochroneTest {
	private static final Logger LOGGER = LogManager.getLogger(ConfigIsochroneTest.class);
	private static final int EXPECTED_MAX_CONNECTION = 50;
	private static final int EXPECTED_PORT = 5432;
	private ConfigIsochrone config;

	// Public methods

	@BeforeClass
	public void initConfiguration() {
		LOGGER.info("Starting test(s) in class \"{}\"", ConfigIsochroneTest.class.getSimpleName());
		config = ConfigIsochrone.getInstance();
		LOGGER.info("-----------------------------");
	}

	// Test methods

	@Test
	public void testDbName() {
		Assert.assertEquals(config.getDBName(), "isochrone", "Property database name");
	}

	@Test
	public void testGetMaxConnection() {
		Assert.assertEquals(config.getMaxConnections(), EXPECTED_MAX_CONNECTION, "Property db.maxConnections");
	}

	@Test
	public void testGetDbPort() {
		Assert.assertEquals(config.getDBPort(), EXPECTED_PORT, "Property org.postgresql.servername");
	}

}
