package it.unibz.inf.isochrone.config;

import it.unibz.inf.isochrone.TestConfiguration;
import it.unibz.inf.isochrone.config.ConfigAlgorithm.ConfigAlgorithmBuilder;

import org.testng.Assert;
import org.testng.annotations.Test;

public class StringifierTest {

	// Test methods

	@Test
	public void testConfigAlgorithm() {
		final ConfigAlgorithm c = new ConfigAlgorithmBuilder(TestConfiguration.DEFAULT_QUERYPOINT).duration(TestConfiguration.DEFAULT_MAX_DURATION).build();
		Assert.assertFalse(c.toString().contains("@"));
	}

	@Test
	public void testConfigDataset() {
		final ConfigDataset c = ConfigDataset.getInstance(TestConfiguration.DEFAULT_DATASET);
		Assert.assertFalse(c.toString().contains("@"));
	}

	@Test
	public void testConfigIsochrone() {
		final ConfigIsochrone c = ConfigIsochrone.getInstance();
		Assert.assertFalse(c.toString().contains("@"));
	}

}
