package it.unibz.inf.isochrone.db;

public class LogTimings {
	private Double bindTime;
	private Double executionTime;
	private Double parseTime;

	// Getter and Setter

	public double getBindTime() {
		return (bindTime == null) ? 0d : bindTime;
	}

	public double getExecutionTime() {
		return (executionTime == null) ? 0d : executionTime;
	}

	public double getOverallTime() {
		return getBindTime() + getExecutionTime() + getParseTime();
	}

	public double getParseTime() {
		return (parseTime == null) ? 0d : parseTime;
	}

	public void setBindTime(final Double bindTime) {
		this.bindTime = bindTime;
	}

	public void setExecutionTime(final Double executionTime) {
		this.executionTime = executionTime;
	}

	public void setParseTime(final Double parseTime) {
		this.parseTime = parseTime;
	}

	// Public methods

	@Override
	public String toString() {
		return "DbTimes [parseTime=" + getParseTime() + "ms, bindTime=" + getBindTime() + "ms, executionTime=" + getExecutionTime() + "ms, overallTime=" + getOverallTime() + "ms]";
	}
}
