package it.unibz.inf.isochrone.network;

import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.CoordinateSequence;
import com.vividsolutions.jts.geom.impl.CoordinateArraySequence;

import java.awt.geom.Point2D;

import org.testng.annotations.Test;

import nl.jqno.equalsverifier.EqualsVerifier;
import nl.jqno.equalsverifier.Warning;

public class EqualityTest {

	// Test methods

	@Test
	public void testLink() {
		EqualsVerifier.forClass(Link.class).withPrefabValues(CoordinateSequence.class,
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 1)}),
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 2)})
		).usingGetClass().verify();
	}

	@Test
	public void testLocation() {
		EqualsVerifier.forClass(Location.class).usingGetClass().verify();
	}

	@Test
	public void testMemoryOutput() {
		EqualsVerifier.forClass(MemoryOutput.class).usingGetClass().verify();
	}

	@Test
	public void testNetworkEntity() {
		EqualsVerifier.forClass(NetworkEntity.class).usingGetClass().verify();
	}

	@Test
	public void testNode() {
		EqualsVerifier.forClass(Node.class).withPrefabValues(CoordinateSequence.class,
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 1)}),
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 2)})
		).usingGetClass().verify();
	}

	@Test
	public void testNodeConnection() {
		EqualsVerifier.forClass(NodeConnection.class).withPrefabValues(CoordinateSequence.class,
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 1)}),
			new CoordinateArraySequence(new Coordinate[] {new Coordinate(1, 2)})
		).usingGetClass().verify();
	}

	@Test
	public void testSchedule() {
		EqualsVerifier.forClass(Schedule.class).usingGetClass().suppress(Warning.NONFINAL_FIELDS).verify();
	}

	@Test
	public void testSeed() {
		EqualsVerifier.forClass(Seed.class).usingGetClass().withPrefabValues(Point2D.class, new Point2D.Double(), new Point2D.Double(1.0d, 2.0d)).verify();
	}

}
