package it.unibz.inf.isochrone.network;

import java.awt.geom.Point2D;

import org.testng.Assert;
import org.testng.annotations.Test;

public class StringifierTest {

	// Test methods

	@Test
	public void testLink() {
		final Link l = new Link(123, 1, 2, 0.1d);
		Assert.assertFalse(l.toString().contains("@"));
	}

	@Test
	public void testLocation() {
		final Location l = new Location(123, 0.1d);
		Assert.assertFalse(l.toString().contains("@"));
	}

	@Test
	public void testMemoryOutput() {
		final MemoryOutput m = new MemoryOutput();
		Assert.assertFalse(m.toString().contains("@"));
	}

	@Test
	public void testNode() {
		final Node n = new Node(123);
		Assert.assertFalse(n.toString().contains("@"));
	}

	@Test
	public void testNodeConnection() {
		final NodeConnection n = new NodeConnection(new Node(123));
		Assert.assertFalse(n.toString().contains("@"));
	}

	// Schedule is immutable, so we add some more tests (setting some more getters)...

	@Test
	public void testSchedule() {
		final Schedule s = new Schedule();
		Assert.assertFalse(s.toString().contains("@"));
	}

	@Test
	public void testSchedule2() {
		final Schedule s = new Schedule();
		s.setArrivalTime(1);
		Assert.assertFalse(s.toString().contains("@"));
	}

	@Test
	public void testSchedule3() {
		final Schedule s = new Schedule();
		s.setDepartureTime(1);
		Assert.assertFalse(s.toString().contains("@"));
	}

	@Test
	public void testSchedule4() {
		final Schedule s = new Schedule();
		s.setDepartureTime(2);
		s.setArrivalTime(1);
		Assert.assertFalse(s.toString().contains("@"));
	}

	@Test
	public void testSeed() {
		final Seed s = new Seed(new Point2D.Double(11.3d, 47.11d), 2.0d);
		Assert.assertFalse(s.toString().contains("@"));
	}

}
